loci.formats.in

## Enum SPEReader.SpeHeaderEntry

- java.lang.Object
- - java.lang.Enum<SPEReader.SpeHeaderEntry>
  - - loci.formats.in.SPEReader.SpeHeaderEntry

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SPEReader.SpeHeaderEntry>
  Enclosing class:
    SPEReader

      private static enum SPEReader.SpeHeaderEntry
      extends java.lang.Enum<SPEReader.SpeHeaderEntry>

  SpeHeaderEntry is an Enum which provides a list of all available SPE header entries along with the offset value from the top of the header in bytes and their associated data type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSORB_FILENAME`
    `ABSORB_LIVE`
    `ABSORB_MODE`
    `ABSORB_STRIP_NUM`
    `ACCUMULATIONS`
    `ADC_BIT_ADJUST`
    `ADC_OFFSET`
    `ADC_RATE`
    `ADC_RESOLUTION`
    `ADC_TYPE`
    `AMP_MODE`
    `ANALOG_GAIN`
    `ASYNCH`
    `AUTO_CLEAN`
    `AUTO_SPECTRO`
    `AV_GAIN`
    `AV_GAIN_USED`
    `BACKGROUND_FILE`
    `BCKGRND_SUB`
    `BLEMISH_APPLIED`
    `BLEMISH_FILE`
    `CAN_VRTL_CHIP`
    `CHIP_FLAG`
    `CLEANS`
    `CLOCK_SPEED`
    `COMMENTS`
    `CONT_CLEAN`
    `CONTROLLER_NUM`
    `CONTROLLER_VER`
    `COSMIC_APPLIED`
    `COSMIC_THRESHOLD`
    `COSMIC_TYPE`
    `CUS_TIMING_FLAG`
    `DATA_LABEL`
    `DATATYPE`
    `DATE`
    `DELAY_TIME`
    `DETECTOR_TEMP`
    `DETECTOR_TYPE`
    `EXP_ACCUMS`
    `EXP_REPEATS`
    `EXP_TIME_LOCAL`
    `EXP_TIME_UTC`
    `EXPOSURE`
    `EXPOSURE_UNITS`
    `EXT_TRIGGER`
    `FLAT_FIELD`
    `FLAT_FIELD_FILE`
    `GAIN`
    `GEOMETRIC`
    `HEADER_VER`
    `HEIGHT`
    `HW_ACCUM`
    `INTENSITY_STRING`
    `INTERFACE_TYPE`
    `KINETIC_TRIGGER`
    `LAST_VALUE`
    `LEXPOS`
    `LFLOAT`
    `LNOSCAN`
    `LOGIC_OUTPUT`
    `MAX_INTENSITY`
    `MIN_BLK`
    `MIN_INTENSITY`
    `MODE`
    `NOSCAN`
    `NUM_EXP_ROIS`
    `NUM_FRAMES`
    `NUM_IN_BLK`
    `NUM_ROIS`
    `PI_MAX_2NS_BRD`
    `PI_MAX_GAIN`
    `PI_MAX_MODE`
    `PI_MAX_USED`
    `PULSAR_TYPE`
    `PULSE_AMP_FAST`
    `PULSE_AMP_SLOW`
    `PULSE_BRACKET_TYPE`
    `PULSE_BRACKET_USED`
    `PULSE_BURST_COUNT`
    `PULSE_BURST_PERIOD`
    `PULSE_BURST_USED`
    `PULSE_END_DELAY`
    `PULSE_END_WIDTH`
    `PULSE_FILENAME`
    `PULSE_INC_MODE`
    `PULSE_REP_DELAY`
    `PULSE_REP_EXP`
    `PULSE_REP_WIDTH`
    `PULSE_START_DELAY`
    `PULSE_START_WIDTH`
    `PULSE_TIMECONST_FAST`
    `PULSE_TIMECONST_SLOW`
    `PULSER_CHIP_ACCUMS`
    `PULSER_MODE`
    `READOUT_MODE`
    `READOUT_TIME`
    `ROI_BEGIN`
    `SCRAMBLE`
    `SHUTTER_COMP`
    `SHUTTER_CTRL`
    `SHUTTER_TYPE`
    `SOFTWARE`
    `SOURCE_COMP`
    `SPARE4`
    `SPARE6`
    `SPEC_CENTER_WAVELEN`
    `SPEC_GLUE_END`
    `SPEC_GLUE_FINAL_RES`
    `SPEC_GLUE_FLAG`
    `SPEC_GLUE_MIN_OVRLP`
    `SPEC_GLUE_START`
    `SPEC_GROOVES`
    `SPEC_MIRR_LOC`
    `SPEC_MIRROR_POS`
    `SPEC_MODEL`
    `SPEC_SLIT_LOC`
    `SPEC_SLIT_POS`
    `SPEC_SLIT_POS_UNITS`
    `SPEC_TYPE`
    `STORE_SYNC`
    `THRESHOLD_MAX_LIVE`
    `THRESHOLD_MAX_VAL`
    `THRESHOLD_MIN_LIVE`
    `THRESHOLD_MIN_VAL`
    `TRIGGER_DIODE`
    `TRIGGER_MODE`
    `TYPE`
    `VERSION`
    `VERT_CLOCK_SPEED`
    `VIRTUAL_CHIP`
    `VIRTUAL_XDIM`
    `VIRTUAL_YDIM`
    `WIDTH`
    `WINDOW_SIZE`
    `WINVIEW_ID`
    `X_CALIB_COUNT`
    `X_CALIB_FLAG`
    `X_CALIB_LABEL`
    `X_CALIB_VALID`
    `X_CALIB_VALUE`
    `X_DIMENSION`
    `X_EXPANSION`
    `X_INPUT_UNIT`
    `X_LABEL`
    `X_LASER_POS`
    `X_PIXEL_POSITION`
    `X_POLYNUM_COEFF`
    `X_POLYNUM_ORDER`
    `X_POLYNUM_UNIT`
    `X_POST_PIXELS`
    `X_PRE_PIXELS`
    `X_RESERVED`
    `X_RESERVED2`
    `X_RESERVED3`
    `X_SCALING_FACTOR`
    `X_SCALING_OFFSET`
    `X_SCALING_UNIT`
    `X_SPECIAL_STRING`
    `XML_OFFSET`
    `Y_CALIB_COUNT`
    `Y_CALIB_FLAG`
    `Y_CALIB_LABEL`
    `Y_CALIB_VALID`
    `Y_CALIB_VALUE`
    `Y_DIMENSION`
    `Y_EXPANSION`
    `Y_INPUT_UNIT`
    `Y_LABEL`
    `Y_LASER_POS`
    `Y_PIXEL_POSITION`
    `Y_POLYNUM_COEFF`
    `Y_POLYNUM_ORDER`
    `Y_POLYNUM_UNIT`
    `Y_POST_PIXELS`
    `Y_PRE_PIXELS`
    `Y_RESERVED`
    `Y_RESERVED2`
    `Y_RESERVED3`
    `Y_SCALING_FACTOR`
    `Y_SCALING_OFFSET`
    `Y_SCALING_UNIT`
    `Y_SPECIAL_STRING`
    `YT_FLAG`
    `YT_INFO`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `offset`
    `private SPEReader.SpeHeaderType` | `type`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SPEReader.SpeHeaderEntry` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SPEReader.SpeHeaderEntry[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTROLLER_VER

          public static final SPEReader.SpeHeaderEntry CONTROLLER_VER

    - #### LOGIC_OUTPUT

          public static final SPEReader.SpeHeaderEntry LOGIC_OUTPUT

    - #### AMP_MODE

          public static final SPEReader.SpeHeaderEntry AMP_MODE

    - #### X_DIMENSION

          public static final SPEReader.SpeHeaderEntry X_DIMENSION

    - #### MODE

          public static final SPEReader.SpeHeaderEntry MODE

    - #### EXPOSURE

          public static final SPEReader.SpeHeaderEntry EXPOSURE

    - #### VIRTUAL_XDIM

          public static final SPEReader.SpeHeaderEntry VIRTUAL_XDIM

    - #### VIRTUAL_YDIM

          public static final SPEReader.SpeHeaderEntry VIRTUAL_YDIM

    - #### Y_DIMENSION

          public static final SPEReader.SpeHeaderEntry Y_DIMENSION

    - #### DATE

          public static final SPEReader.SpeHeaderEntry DATE

    - #### VIRTUAL_CHIP

          public static final SPEReader.SpeHeaderEntry VIRTUAL_CHIP

    - #### NOSCAN

          public static final SPEReader.SpeHeaderEntry NOSCAN

    - #### DETECTOR_TEMP

          public static final SPEReader.SpeHeaderEntry DETECTOR_TEMP

    - #### DETECTOR_TYPE

          public static final SPEReader.SpeHeaderEntry DETECTOR_TYPE

    - #### WIDTH

          public static final SPEReader.SpeHeaderEntry WIDTH

    - #### TRIGGER_DIODE

          public static final SPEReader.SpeHeaderEntry TRIGGER_DIODE

    - #### DELAY_TIME

          public static final SPEReader.SpeHeaderEntry DELAY_TIME

    - #### SHUTTER_CTRL

          public static final SPEReader.SpeHeaderEntry SHUTTER_CTRL

    - #### ABSORB_LIVE

          public static final SPEReader.SpeHeaderEntry ABSORB_LIVE

    - #### ABSORB_MODE

          public static final SPEReader.SpeHeaderEntry ABSORB_MODE

    - #### CAN_VRTL_CHIP

          public static final SPEReader.SpeHeaderEntry CAN_VRTL_CHIP

    - #### THRESHOLD_MIN_LIVE

          public static final SPEReader.SpeHeaderEntry THRESHOLD_MIN_LIVE

    - #### THRESHOLD_MIN_VAL

          public static final SPEReader.SpeHeaderEntry THRESHOLD_MIN_VAL

    - #### THRESHOLD_MAX_LIVE

          public static final SPEReader.SpeHeaderEntry THRESHOLD_MAX_LIVE

    - #### THRESHOLD_MAX_VAL

          public static final SPEReader.SpeHeaderEntry THRESHOLD_MAX_VAL

    - #### AUTO_SPECTRO

          public static final SPEReader.SpeHeaderEntry AUTO_SPECTRO

    - #### SPEC_CENTER_WAVELEN

          public static final SPEReader.SpeHeaderEntry SPEC_CENTER_WAVELEN

    - #### SPEC_GLUE_FLAG

          public static final SPEReader.SpeHeaderEntry SPEC_GLUE_FLAG

    - #### SPEC_GLUE_START

          public static final SPEReader.SpeHeaderEntry SPEC_GLUE_START

    - #### SPEC_GLUE_END

          public static final SPEReader.SpeHeaderEntry SPEC_GLUE_END

    - #### SPEC_GLUE_MIN_OVRLP

          public static final SPEReader.SpeHeaderEntry SPEC_GLUE_MIN_OVRLP

    - #### SPEC_GLUE_FINAL_RES

          public static final SPEReader.SpeHeaderEntry SPEC_GLUE_FINAL_RES

    - #### PULSAR_TYPE

          public static final SPEReader.SpeHeaderEntry PULSAR_TYPE

    - #### CHIP_FLAG

          public static final SPEReader.SpeHeaderEntry CHIP_FLAG

    - #### X_PRE_PIXELS

          public static final SPEReader.SpeHeaderEntry X_PRE_PIXELS

    - #### X_POST_PIXELS

          public static final SPEReader.SpeHeaderEntry X_POST_PIXELS

    - #### Y_PRE_PIXELS

          public static final SPEReader.SpeHeaderEntry Y_PRE_PIXELS

    - #### Y_POST_PIXELS

          public static final SPEReader.SpeHeaderEntry Y_POST_PIXELS

    - #### ASYNCH

          public static final SPEReader.SpeHeaderEntry ASYNCH

    - #### DATATYPE

          public static final SPEReader.SpeHeaderEntry DATATYPE

    - #### PULSER_MODE

          public static final SPEReader.SpeHeaderEntry PULSER_MODE

    - #### PULSER_CHIP_ACCUMS

          public static final SPEReader.SpeHeaderEntry PULSER_CHIP_ACCUMS

    - #### PULSE_REP_EXP

          public static final SPEReader.SpeHeaderEntry PULSE_REP_EXP

    - #### PULSE_REP_WIDTH

          public static final SPEReader.SpeHeaderEntry PULSE_REP_WIDTH

    - #### PULSE_REP_DELAY

          public static final SPEReader.SpeHeaderEntry PULSE_REP_DELAY

    - #### PULSE_START_WIDTH

          public static final SPEReader.SpeHeaderEntry PULSE_START_WIDTH

    - #### PULSE_END_WIDTH

          public static final SPEReader.SpeHeaderEntry PULSE_END_WIDTH

    - #### PULSE_START_DELAY

          public static final SPEReader.SpeHeaderEntry PULSE_START_DELAY

    - #### PULSE_END_DELAY

          public static final SPEReader.SpeHeaderEntry PULSE_END_DELAY

    - #### PULSE_INC_MODE

          public static final SPEReader.SpeHeaderEntry PULSE_INC_MODE

    - #### PI_MAX_USED

          public static final SPEReader.SpeHeaderEntry PI_MAX_USED

    - #### PI_MAX_MODE

          public static final SPEReader.SpeHeaderEntry PI_MAX_MODE

    - #### PI_MAX_GAIN

          public static final SPEReader.SpeHeaderEntry PI_MAX_GAIN

    - #### BCKGRND_SUB

          public static final SPEReader.SpeHeaderEntry BCKGRND_SUB

    - #### PI_MAX_2NS_BRD

          public static final SPEReader.SpeHeaderEntry PI_MAX_2NS_BRD

    - #### MIN_BLK

          public static final SPEReader.SpeHeaderEntry MIN_BLK

    - #### NUM_IN_BLK

          public static final SPEReader.SpeHeaderEntry NUM_IN_BLK

    - #### SPEC_MIRR_LOC

          public static final SPEReader.SpeHeaderEntry SPEC_MIRR_LOC

    - #### SPEC_SLIT_LOC

          public static final SPEReader.SpeHeaderEntry SPEC_SLIT_LOC

    - #### CUS_TIMING_FLAG

          public static final SPEReader.SpeHeaderEntry CUS_TIMING_FLAG

    - #### EXP_TIME_LOCAL

          public static final SPEReader.SpeHeaderEntry EXP_TIME_LOCAL

    - #### EXP_TIME_UTC

          public static final SPEReader.SpeHeaderEntry EXP_TIME_UTC

    - #### EXPOSURE_UNITS

          public static final SPEReader.SpeHeaderEntry EXPOSURE_UNITS

    - #### ADC_OFFSET

          public static final SPEReader.SpeHeaderEntry ADC_OFFSET

    - #### ADC_RATE

          public static final SPEReader.SpeHeaderEntry ADC_RATE

    - #### ADC_TYPE

          public static final SPEReader.SpeHeaderEntry ADC_TYPE

    - #### ADC_RESOLUTION

          public static final SPEReader.SpeHeaderEntry ADC_RESOLUTION

    - #### ADC_BIT_ADJUST

          public static final SPEReader.SpeHeaderEntry ADC_BIT_ADJUST

    - #### GAIN

          public static final SPEReader.SpeHeaderEntry GAIN

    - #### COMMENTS

          public static final SPEReader.SpeHeaderEntry COMMENTS

    - #### GEOMETRIC

          public static final SPEReader.SpeHeaderEntry GEOMETRIC

    - #### X_LABEL

          public static final SPEReader.SpeHeaderEntry X_LABEL

    - #### CLEANS

          public static final SPEReader.SpeHeaderEntry CLEANS

    - #### LFLOAT

          public static final SPEReader.SpeHeaderEntry LFLOAT

    - #### SPEC_MIRROR_POS

          public static final SPEReader.SpeHeaderEntry SPEC_MIRROR_POS

    - #### SPEC_SLIT_POS

          public static final SPEReader.SpeHeaderEntry SPEC_SLIT_POS

    - #### AUTO_CLEAN

          public static final SPEReader.SpeHeaderEntry AUTO_CLEAN

    - #### CONT_CLEAN

          public static final SPEReader.SpeHeaderEntry CONT_CLEAN

    - #### ABSORB_STRIP_NUM

          public static final SPEReader.SpeHeaderEntry ABSORB_STRIP_NUM

    - #### SPEC_SLIT_POS_UNITS

          public static final SPEReader.SpeHeaderEntry SPEC_SLIT_POS_UNITS

    - #### SPEC_GROOVES

          public static final SPEReader.SpeHeaderEntry SPEC_GROOVES

    - #### SOURCE_COMP

          public static final SPEReader.SpeHeaderEntry SOURCE_COMP

    - #### HEIGHT

          public static final SPEReader.SpeHeaderEntry HEIGHT

    - #### SCRAMBLE

          public static final SPEReader.SpeHeaderEntry SCRAMBLE

    - #### LEXPOS

          public static final SPEReader.SpeHeaderEntry LEXPOS

    - #### EXT_TRIGGER

          public static final SPEReader.SpeHeaderEntry EXT_TRIGGER

    - #### LNOSCAN

          public static final SPEReader.SpeHeaderEntry LNOSCAN

    - #### ACCUMULATIONS

          public static final SPEReader.SpeHeaderEntry ACCUMULATIONS

    - #### READOUT_TIME

          public static final SPEReader.SpeHeaderEntry READOUT_TIME

    - #### TRIGGER_MODE

          public static final SPEReader.SpeHeaderEntry TRIGGER_MODE

    - #### XML_OFFSET

          public static final SPEReader.SpeHeaderEntry XML_OFFSET

    - #### VERSION

          public static final SPEReader.SpeHeaderEntry VERSION

    - #### TYPE

          public static final SPEReader.SpeHeaderEntry TYPE

    - #### FLAT_FIELD

          public static final SPEReader.SpeHeaderEntry FLAT_FIELD

    - #### KINETIC_TRIGGER

          public static final SPEReader.SpeHeaderEntry KINETIC_TRIGGER

    - #### DATA_LABEL

          public static final SPEReader.SpeHeaderEntry DATA_LABEL

    - #### SPARE4

          public static final SPEReader.SpeHeaderEntry SPARE4

    - #### PULSE_FILENAME

          public static final SPEReader.SpeHeaderEntry PULSE_FILENAME

    - #### ABSORB_FILENAME

          public static final SPEReader.SpeHeaderEntry ABSORB_FILENAME

    - #### EXP_REPEATS

          public static final SPEReader.SpeHeaderEntry EXP_REPEATS

    - #### EXP_ACCUMS

          public static final SPEReader.SpeHeaderEntry EXP_ACCUMS

    - #### YT_FLAG

          public static final SPEReader.SpeHeaderEntry YT_FLAG

    - #### VERT_CLOCK_SPEED

          public static final SPEReader.SpeHeaderEntry VERT_CLOCK_SPEED

    - #### HW_ACCUM

          public static final SPEReader.SpeHeaderEntry HW_ACCUM

    - #### STORE_SYNC

          public static final SPEReader.SpeHeaderEntry STORE_SYNC

    - #### BLEMISH_APPLIED

          public static final SPEReader.SpeHeaderEntry BLEMISH_APPLIED

    - #### COSMIC_APPLIED

          public static final SPEReader.SpeHeaderEntry COSMIC_APPLIED

    - #### COSMIC_TYPE

          public static final SPEReader.SpeHeaderEntry COSMIC_TYPE

    - #### COSMIC_THRESHOLD

          public static final SPEReader.SpeHeaderEntry COSMIC_THRESHOLD

    - #### NUM_FRAMES

          public static final SPEReader.SpeHeaderEntry NUM_FRAMES

    - #### MAX_INTENSITY

          public static final SPEReader.SpeHeaderEntry MAX_INTENSITY

    - #### MIN_INTENSITY

          public static final SPEReader.SpeHeaderEntry MIN_INTENSITY

    - #### Y_LABEL

          public static final SPEReader.SpeHeaderEntry Y_LABEL

    - #### SHUTTER_TYPE

          public static final SPEReader.SpeHeaderEntry SHUTTER_TYPE

    - #### SHUTTER_COMP

          public static final SPEReader.SpeHeaderEntry SHUTTER_COMP

    - #### READOUT_MODE

          public static final SPEReader.SpeHeaderEntry READOUT_MODE

    - #### WINDOW_SIZE

          public static final SPEReader.SpeHeaderEntry WINDOW_SIZE

    - #### CLOCK_SPEED

          public static final SPEReader.SpeHeaderEntry CLOCK_SPEED

    - #### INTERFACE_TYPE

          public static final SPEReader.SpeHeaderEntry INTERFACE_TYPE

    - #### NUM_EXP_ROIS

          public static final SPEReader.SpeHeaderEntry NUM_EXP_ROIS

    - #### CONTROLLER_NUM

          public static final SPEReader.SpeHeaderEntry CONTROLLER_NUM

    - #### SOFTWARE

          public static final SPEReader.SpeHeaderEntry SOFTWARE

    - #### NUM_ROIS

          public static final SPEReader.SpeHeaderEntry NUM_ROIS

    - #### ROI_BEGIN

          public static final SPEReader.SpeHeaderEntry ROI_BEGIN

    - #### FLAT_FIELD_FILE

          public static final SPEReader.SpeHeaderEntry FLAT_FIELD_FILE

    - #### BACKGROUND_FILE

          public static final SPEReader.SpeHeaderEntry BACKGROUND_FILE

    - #### BLEMISH_FILE

          public static final SPEReader.SpeHeaderEntry BLEMISH_FILE

    - #### HEADER_VER

          public static final SPEReader.SpeHeaderEntry HEADER_VER

    - #### YT_INFO

          public static final SPEReader.SpeHeaderEntry YT_INFO

    - #### WINVIEW_ID

          public static final SPEReader.SpeHeaderEntry WINVIEW_ID

    - #### X_SCALING_OFFSET

          public static final SPEReader.SpeHeaderEntry X_SCALING_OFFSET

    - #### X_SCALING_FACTOR

          public static final SPEReader.SpeHeaderEntry X_SCALING_FACTOR

    - #### X_SCALING_UNIT

          public static final SPEReader.SpeHeaderEntry X_SCALING_UNIT

    - #### X_RESERVED

          public static final SPEReader.SpeHeaderEntry X_RESERVED

    - #### X_SPECIAL_STRING

          public static final SPEReader.SpeHeaderEntry X_SPECIAL_STRING

    - #### X_RESERVED2

          public static final SPEReader.SpeHeaderEntry X_RESERVED2

    - #### X_CALIB_VALID

          public static final SPEReader.SpeHeaderEntry X_CALIB_VALID

    - #### X_INPUT_UNIT

          public static final SPEReader.SpeHeaderEntry X_INPUT_UNIT

    - #### X_POLYNUM_UNIT

          public static final SPEReader.SpeHeaderEntry X_POLYNUM_UNIT

    - #### X_POLYNUM_ORDER

          public static final SPEReader.SpeHeaderEntry X_POLYNUM_ORDER

    - #### X_CALIB_COUNT

          public static final SPEReader.SpeHeaderEntry X_CALIB_COUNT

    - #### X_PIXEL_POSITION

          public static final SPEReader.SpeHeaderEntry X_PIXEL_POSITION

    - #### X_CALIB_VALUE

          public static final SPEReader.SpeHeaderEntry X_CALIB_VALUE

    - #### X_POLYNUM_COEFF

          public static final SPEReader.SpeHeaderEntry X_POLYNUM_COEFF

    - #### X_LASER_POS

          public static final SPEReader.SpeHeaderEntry X_LASER_POS

    - #### X_RESERVED3

          public static final SPEReader.SpeHeaderEntry X_RESERVED3

    - #### X_CALIB_FLAG

          public static final SPEReader.SpeHeaderEntry X_CALIB_FLAG

    - #### X_CALIB_LABEL

          public static final SPEReader.SpeHeaderEntry X_CALIB_LABEL

    - #### X_EXPANSION

          public static final SPEReader.SpeHeaderEntry X_EXPANSION

    - #### Y_SCALING_OFFSET

          public static final SPEReader.SpeHeaderEntry Y_SCALING_OFFSET

    - #### Y_SCALING_FACTOR

          public static final SPEReader.SpeHeaderEntry Y_SCALING_FACTOR

    - #### Y_SCALING_UNIT

          public static final SPEReader.SpeHeaderEntry Y_SCALING_UNIT

    - #### Y_RESERVED

          public static final SPEReader.SpeHeaderEntry Y_RESERVED

    - #### Y_SPECIAL_STRING

          public static final SPEReader.SpeHeaderEntry Y_SPECIAL_STRING

    - #### Y_RESERVED2

          public static final SPEReader.SpeHeaderEntry Y_RESERVED2

    - #### Y_CALIB_VALID

          public static final SPEReader.SpeHeaderEntry Y_CALIB_VALID

    - #### Y_INPUT_UNIT

          public static final SPEReader.SpeHeaderEntry Y_INPUT_UNIT

    - #### Y_POLYNUM_UNIT

          public static final SPEReader.SpeHeaderEntry Y_POLYNUM_UNIT

    - #### Y_POLYNUM_ORDER

          public static final SPEReader.SpeHeaderEntry Y_POLYNUM_ORDER

    - #### Y_CALIB_COUNT

          public static final SPEReader.SpeHeaderEntry Y_CALIB_COUNT

    - #### Y_PIXEL_POSITION

          public static final SPEReader.SpeHeaderEntry Y_PIXEL_POSITION

    - #### Y_CALIB_VALUE

          public static final SPEReader.SpeHeaderEntry Y_CALIB_VALUE

    - #### Y_POLYNUM_COEFF

          public static final SPEReader.SpeHeaderEntry Y_POLYNUM_COEFF

    - #### Y_LASER_POS

          public static final SPEReader.SpeHeaderEntry Y_LASER_POS

    - #### Y_RESERVED3

          public static final SPEReader.SpeHeaderEntry Y_RESERVED3

    - #### Y_CALIB_FLAG

          public static final SPEReader.SpeHeaderEntry Y_CALIB_FLAG

    - #### Y_CALIB_LABEL

          public static final SPEReader.SpeHeaderEntry Y_CALIB_LABEL

    - #### Y_EXPANSION

          public static final SPEReader.SpeHeaderEntry Y_EXPANSION

    - #### INTENSITY_STRING

          public static final SPEReader.SpeHeaderEntry INTENSITY_STRING

    - #### SPARE6

          public static final SPEReader.SpeHeaderEntry SPARE6

    - #### SPEC_TYPE

          public static final SPEReader.SpeHeaderEntry SPEC_TYPE

    - #### SPEC_MODEL

          public static final SPEReader.SpeHeaderEntry SPEC_MODEL

    - #### PULSE_BURST_USED

          public static final SPEReader.SpeHeaderEntry PULSE_BURST_USED

    - #### PULSE_BURST_COUNT

          public static final SPEReader.SpeHeaderEntry PULSE_BURST_COUNT

    - #### PULSE_BURST_PERIOD

          public static final SPEReader.SpeHeaderEntry PULSE_BURST_PERIOD

    - #### PULSE_BRACKET_USED

          public static final SPEReader.SpeHeaderEntry PULSE_BRACKET_USED

    - #### PULSE_BRACKET_TYPE

          public static final SPEReader.SpeHeaderEntry PULSE_BRACKET_TYPE

    - #### PULSE_TIMECONST_FAST

          public static final SPEReader.SpeHeaderEntry PULSE_TIMECONST_FAST

    - #### PULSE_AMP_FAST

          public static final SPEReader.SpeHeaderEntry PULSE_AMP_FAST

    - #### PULSE_TIMECONST_SLOW

          public static final SPEReader.SpeHeaderEntry PULSE_TIMECONST_SLOW

    - #### PULSE_AMP_SLOW

          public static final SPEReader.SpeHeaderEntry PULSE_AMP_SLOW

    - #### ANALOG_GAIN

          public static final SPEReader.SpeHeaderEntry ANALOG_GAIN

    - #### AV_GAIN_USED

          public static final SPEReader.SpeHeaderEntry AV_GAIN_USED

    - #### AV_GAIN

          public static final SPEReader.SpeHeaderEntry AV_GAIN

    - #### LAST_VALUE

          public static final SPEReader.SpeHeaderEntry LAST_VALUE

  - ### Field Detail

    - #### offset

          private final int offset

    - #### type

          private final SPEReader.SpeHeaderType type

  - ### Method Detail

    - #### values

          public static SPEReader.SpeHeaderEntry[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SPEReader.SpeHeaderEntry c : SPEReader.SpeHeaderEntry.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SPEReader.SpeHeaderEntry valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2026 Open Microscopy Environment